/* ------------------------------------------------------------ COMMON ------------------------------------------------------------ */

@media screen and (max-width: 768px) {
  .section-top-common {
    height: 75vh;
    padding-top: 100px;
  }

  .section-top-common .content-title {
    max-width: 100%;
  }

  .section-top-common .content-description {
    max-width: 100%;
  }
}

@media screen and (max-width: 991px) {
  .section-about-us .image-content .module-image img {
    aspect-ratio: 4/3;
  }
  .section-3-home .category-item .item-image {
    aspect-ratio: 4/3;
  }
  .section-about-us .image-content-1 {
    order: 1;
  }

  .section-about-us .text-content-1 {
    order: 2;
  }

  .section-about-us .image-content-2 {
    order: 3;
  }

  .section-about-us .text-content-2 {
    order: 4;
  }

  .content-description {
    margin: 20px 0;
  }
}

@media screen and (max-width: 1500px) {
  .container {
    max-width: 100%;
  }
  .row.subcategories-content {
    max-width: 1200px;
  }
}

@media (max-width: 1200px) {
  .row.subcategories-content {
    padding: 0 7.5px;
  }
  .subcat_cart {
    padding: 7.5px;
  }
}

/* ------------------------------------------------------------ TYPOGRAPGY ------------------------------------------------------------ */

@media screen and (max-width: 991px) {
  p {
    font-size: 16px;
  }

  a {
    font-size: 16px;
  }
}

/* ------------------------------------------------------------ HEADER ------------------------------------------------------------ */

@media screen and (max-width: 768px) {
  .search-wrapper {
    width: 100%;
    left: -101%;
  }

  .search-wrapper .search-header-wrapper {
    height: 70px;
  }

  .search-wrapper .search-results {
    height: calc(100% - 70px);
  }

  .search-wrapper .search-results ul {
    gap: 20px;
  }

  .search-wrapper .search-results ul li:first-child {
    padding-top: 10px;
  }

  .search-wrapper .search-results ul li {
    padding: 10px;
    width: 100%;
  }

  .search-wrapper .search-results ul li .result-image {
    width: 25%;
  }

  .search-wrapper .search-results ul li .result-details {
    width: 75%;
  }

  .category-title {
    font-size: 25px;
  }
  .product-category-body .no-products p {
    font-size: 18px;
    font-weight: 700;
  }
}

@media screen and (max-width: 990.99px) {
  header {
    height: 100px;
    padding: 0 15px;
  }

  header.header-scroll {
    height: 70px;
  }

  .navbar > .container {
    height: 100%;
  }

  .navbar-brand {
    width: auto;
  }

  .logo {
    width: auto;
    height: 70px;
  }

  header.header-scroll .logo {
    width: auto;
    height: 40px;
  }

  .navbar-toggler {
    padding: 0;
    top: 0;
    right: 0;
    outline: none !important;
  }

  .navbar-toggler .icon-bar {
    background-color: var(--white);
    transition: var(--transition);
  }

  header.header-scroll .navbar-toggler .icon-bar {
    background-color: var(--black);
  }

  .navbar-collapse .menu-line-left,
  .navbar-collapse .menu-line-right {
    display: none;
  }

  .navbar-collapse {
    position: absolute;
    top: 100%;
    padding: 0px;
    left: -15px;
    width: calc(100% + 30px);
    background-color: var(--white);
  }

  .navbar-nav {
    max-height: 70vh;
    overflow-x: scroll;
    overflow-y: unset;
    display: block;
  }

  .navbar-expand-lg .navbar-nav .nav-item {
    padding: 0 15px;
  }

  .navbar-expand-lg .navbar-nav .nav-item .dropdown-menu .nav-item {
    padding: 0 5px;
  }

  .navbar-expand-lg .navbar-nav .nav-item.dropdown {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
  }

  .navbar-expand-lg .navbar-nav .nav-item.dropdown .toggle-menu {
    position: relative;
    height: 32px;
    width: 32px;
    border-radius: 50%;
    background-color: var(--orange);
  }

  .navbar-expand-lg .navbar-nav .nav-item.dropdown .toggle-menu:after {
    content: "";
    position: absolute;
    top: 0;
    bottom: 0;
    right: 7px;
    width: 18px;
    height: 2px;
    margin: auto;
    background-color: var(--white);
  }

  .navbar-expand-lg .navbar-nav .nav-item.dropdown .toggle-menu[aria-expanded="true"]:before {
    content: "";
    position: absolute;
    top: 0;
    bottom: 0;
    right: 15px;
    width: 2px;
    height: 0;
    margin: auto;
    background-color: var(--white);
    transition: var(--transition);
  }

  .navbar-expand-lg .navbar-nav .nav-item.dropdown .toggle-menu[aria-expanded="false"]:before {
    content: "";
    position: absolute;
    top: 0;
    bottom: 0;
    right: 15px;
    width: 2px;
    height: 18px;
    margin: auto;
    background-color: var(--white);
    transition: var(--transition);
  }

  .navbar-expand-lg .navbar-nav .nav-link,
  .navbar-expand-lg .navbar-nav .nav-link path {
    color: var(--black);
    padding: 0;
    stroke: black;
  }
  /* .contact_header {
        flex-direction: column;
        gap: unset;
    } */

  .navbar-expand-lg .navbar-nav .nav-item.dropdown .dropdown-menu {
    position: relative;
    width: 100%;
    margin: 0;
    border: none;
    padding: 0;
  }

  .navbar-expand-lg .navbar-nav .item-search {
    height: 60px;
    display: flex;
    align-items: center;
    border-top: 1px solid var(--orange);
    justify-content: space-between;
  }

  .navbar-expand-lg .navbar-nav .nav-link.search-toggle {
    width: 40px;
    height: 40px;
    background-color: var(--orange);
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
  }

  .navbar-expand-lg .navbar-nav .nav-link.search-toggle svg {
    width: 26px;
    height: 26px;
    stroke: var(--white);
  }
}

@media screen and (min-width: 991px) {
  .navbar-expand-lg .navbar-nav .nav-item-level-1.dropdown > .toggle-menu {
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    top: 0;
    margin: auto;
    height: 100%;
    width: 100%;
    border-radius: 40px;
    background-color: transparent;
    transition: var(--transition);
    z-index: -1;
  }

  .navbar-expand-lg .navbar-nav .nav-item-level-1.dropdown > .dropdown-menu {
    margin: 0px;
    padding: 0px;
    top: 65px;
    border: none;
    border-radius: 0px;
    width: max-content;
  }

  /* .navbar-expand-lg .navbar-nav .nav-item-level-1.dropdown .dropdown-menu .nav-link {
        color:var(--green);
    }
     */
  .navbar-expand-lg .navbar-nav .nav-item-level-1.dropdown .dropdown-menu .nav-link:hover {
    color: var(--white);
  }

  .navbar-expand-lg .navbar-nav .nav-item-level-1.dropdown .dropdown-menu .nav-link:before {
    border-radius: 0px;
  }

  .navbar-expand-lg .navbar-nav .nav-item-level-1.dropdown .dropdown-menu .nav-link:hover:before {
    background-color: var(--green);
    border-radius: 15px;
  }

  .navbar-expand-lg .navbar-nav .nav-item-level-1.dropdown > .dropdown-menu .nav-item-level-2 {
    position: relative;
    width: fit-content !important;
  }

  .navbar-expand-lg .navbar-nav .nav-item-level-1.dropdown > .dropdown-menu .nav-item-level-2 .nav-link {
    width: 100%;
  }

  .navbar-expand-lg .navbar-nav .nav-item-level-1.dropdown > .dropdown-menu .nav-item-level-2.dropdown .dropdown-menu {
    top: 0;
    /* right: -100%;
        left: auto;
        margin: 0;
        padding: 0;
        width: 100%;
        border: none;
        border-radius: 0; */
  }

  .navbar-expand-lg .navbar-nav .nav-item-level-1.dropdown > .dropdown-menu .nav-item-level-2.dropdown:hover .dropdown-menu {
    display: block;
  }
}

@media screen and (min-width: 992px) and (max-width: 1300px) {
  .navbar-nav {
    gap: 10px;
  }

  .navbar-expand-lg .navbar-nav .nav-link {
    padding: 0 10px;
  }

  .search-wrapper .search-results ul {
    gap: 20px;
  }

  .search-wrapper .search-results ul li:first-child {
    padding-top: 10px;
  }

  .search-wrapper .search-results ul li {
    padding: 10px;
    width: 100%;
  }

  .search-wrapper .search-results ul li .result-image {
    width: 25%;
  }

  .search-wrapper .search-results ul li .result-details {
    width: 75%;
  }
}

/* ------------------------------------------------------------ HEADER ------------------------------------------------------------ */

@media screen and (max-width: 550px) {
  footer .footer-content {
    gap: 20px;
  }

  footer .footer-sal-sol {
    flex-direction: row;
  }

  footer .footer-sal-sol .module-image img {
    max-width: unset;
  }
}

@media screen and (min-width: 551px) and (max-width: 991px) {
  footer .footer-content {
    gap: 20px;
  }

  footer .footer-content .footer-menu,
  footer .footer-content .footer-logo-wrapper {
    max-width: calc(50% - 10px);
    width: 100%;
    flex: auto;
  }

  footer .footer-content .footer-sal-sol {
    max-width: 100%;
    flex-direction: row;
    justify-content: center;
    width: 100%;
    flex: auto;
  }
}

/* ------------------------------------------------------------ ACASA ------------------------------------------------------------ */

@media screen and (max-width: 1500px) {
  .section-3-home {
    margin: auto;
  }

  .section-quick-contact {
    min-height: 90vh;
  }

  .section-quick-contact .contact-content {
    padding: 30px;
  }
}

@media screen and (max-width: 1300px) {
  .section-2-home .tall-image {
    max-width: 475px;
    width: 100%;
  }

  .section-3-home {
    margin: auto;
  }

  .section-quick-contact {
    min-height: 90vh;
  }

  .section-quick-contact .contact-content {
    padding: 30px;
  }
}

@media screen and (max-width: 991px) {
  .section-hero {
    padding-top: 100px;
  }

  .section-hero .content-title {
    max-width: 100%;
  }

  .section-hero .content-description {
    max-width: 100%;
  }

  .section-quick-contact .contact-content {
    position: relative;
    width: 100%;
    left: auto;
    padding: 20px;
  }

  .section-2-home {
    padding-top: calc(5vh + 5vw);
    padding-bottom: calc(5vh + 5vw);
    gap: 50px;
  }

  .section-2-home .image-content {
    height: 75vh;
  }

  .section-2-home .small-image {
    min-width: unset;
    width: 50vw;
    max-width: 350px;
    left: 15px;
    bottom: 20px;
    top: auto;
  }

  .section-2-home .tall-image {
    width: 65%;
    aspect-ratio: unset;
    bottom: 0;
    position: relative;
    right: 0;
    margin: 0 0 0 auto;
    min-width: unset;
    height: 100%;
  }

  .section-3-home {
    margin: auto;
  }

  .section-3-home .text-content {
    padding: 0;
    align-items: flex-start;
  }

  .section-3-home .category-item {
    height: auto;
  }

  .section-3-home .category-item .item-button a {
    font-size: 18px;
  }
}

@media screen and (max-width: 768px) {
  .content-pretitle > *:after,
  .content-pretitle > *:before {
    width: auto;
    flex: 1;
    max-width: 80px;
  }

  .section-2-home {
    padding-top: calc(5vh + 5vw);
    padding-bottom: calc(5vh + 5vw);
    gap: 50px;
  }

  .section-2-home .image-content {
    height: 60vh;
  }

  .section-2-home .small-image {
    min-width: unset;
    width: 50vw;
    max-width: 270px;
    left: 15px;
    bottom: 20px;
    top: auto;
  }

  .section-2-home .tall-image {
    width: 80%;
    aspect-ratio: unset;
    bottom: 0;
    position: relative;
    right: 0;
    margin: 0 0 0 auto;
    min-width: unset;
    height: 100%;
  }

  .section-3-home {
    margin: auto;
  }

  .section-3-home .text-content {
    padding: 0;
    gap: 15px;
    align-items: flex-start;
  }

  .section-3-home .text-content .content-pretitle > *:before,
  .section-3-home .text-content .content-pretitle > *:after {
    flex: 1;
  }

  .section-4-home {
    gap: 50px;
  }

  .section-4-home .text-content {
    margin: 0;
    gap: 10px;
  }

  .section-4-home .text-content .content-title {
    text-align: center;
  }
}

@media screen and (max-width: 650px) {
  .section-3-home .category-item {
    max-width: 100%;
    border-radius: calc(2vw + 2vh);
    overflow: hidden;
  }
}

@media screen and (max-width: 420px) {
  .content-pretitle {
    width: 100%;
  }

  .section-3-home .text-content .content-pretitle > *:before,
  .section-3-home .text-content .content-pretitle > *:after {
    display: none;
  }
}

/* ------------------------------------------------------------ DESPRE NOI ------------------------------------------------------------ */

@media screen and (max-width: 991px) {
  .section-about-us {
    gap: 50px;
  }

  .section-about-us .image-content .module-image {
    height: 40vh;
  }

  .section-about-gallery .module-gallery {
    padding: 0 40px;
  }

  .section-about-gallery .module-gallery .slick-prev,
  .section-about-gallery .module-gallery .slick-next {
    width: 30px;
    height: 30px;
  }

  .section-about-gallery .module-gallery .slick-prev:before,
  .section-about-gallery .module-gallery .slick-next:before {
    font-size: 14px;
  }

  .section-about-gallery .module-gallery figure {
    margin: 0 10px;
  }

  .section-about-gallery .module-gallery figure a {
    border-radius: 20px;
  }
}

/* ------------------------------------------------------------ SERVICII ------------------------------------------------------------ */

@media screen and (max-width: 991px) {
  .section-services {
    gap: 50px;
  }

  .section-services-cards {
    gap: 50px;
  }
}

/* ------------------------------------------------------------ CONTACT ------------------------------------------------------------ */

@media screen and (max-width: 991px) {
  .section-contact {
    gap: 50px;
  }

  .section-contact .text-content .map-content {
    height: 40vh;
  }
}

/* ------------------------------------------------------------ CATEGORIE PORTOFOLIU ------------------------------------------------------------ */

@media screen and (max-width: 1700px) {
  .portofoliu-item-wrapper .portofoliu-item .portofoliu-details {
    padding: 20px;
    max-width: calc(100% - 90px);
  }

  .portofoliu-item-wrapper .portofoliu-item .portofoliu-btn {
    bottom: 20px;
    right: 20px;
  }
}

@media screen and (max-width: 991px) {
  .portofoliu-item-wrapper .portofoliu-item .portofoliu-details {
    position: relative;
    border-top-right-radius: 0;
    padding: 20px 20px 70px;
    max-width: 100%;
  }

  .portofoliu-item-wrapper .portofoliu-item .portofoliu-btn {
    bottom: 20px;
    right: auto;
    width: 35px;
    height: 35px;
    left: 20px;
  }

  .portofoliu-item-wrapper .portofoliu-item .portofoliu-btn svg {
    width: 20px;
  }
}

/* ------------------------------------------------------------ PORTOFOLIU ------------------------------------------------------------ */

@media screen and (max-width: 991px) {
  .portofoliu-header-wrapper {
    height: 55vh;
    padding: 100px 0 0;
  }

  .portofoliu-header-content {
    gap: 20px;
  }

  .portofoliu-header-content {
    height: fit-content;
  }

  .portofoliu-header-content .portofoliu-share-wrapper {
    flex-direction: column;
    align-items: flex-start;
  }

  .portofoliu-column-wrapper .portofoliu-details-table {
    padding: 10px 20px;
  }

  .portofoliu-column-wrapper .portofoliu-details-table p.portofoliu-table-item {
    flex-direction: column;
    align-items: flex-start;
    gap: 5px;
    padding: 10px 0;
    height: auto;
  }

  .portofoliu-column-wrapper .portofoliu-details-table .portofoliu-materials {
    flex-direction: column;
    gap: 5px;
  }

  .portofoliu-column-wrapper .portofoliu-details-table .portofoliu-materials .materiale-wrapper {
    width: 100%;
  }
}

@media screen and (max-width: 768px) {
  .portofoliu-body-wrapper .portofoliu-row {
    gap: 50px;
  }

  .portofoliu-column-wrapper .galerie-portofoliu .slick-list {
    margin: 0;
  }

  .portofoliu-column-wrapper .galerie-portofoliu .gallery-slide {
    margin: 0;
  }
}

/* ------------------------------------------------------------ CATEGORII PRODUSE ------------------------------------------------------------ */

/* @media screen and (max-width: 1700px) {

    .product-subcategory-wrapper .subcategories-content {
        flex-wrap: wrap;
        padding: 0 15px;
        gap: 15px 20px;
    }

    .product-subcategory-wrapper .subcategories-content .btn-load-subcategory {
        width: calc(25% - 15px);
    }

} */

@media screen and (max-width: 1300px) {
  .product-category-header {
    height: 45vh;
    padding-top: 100px;
  }

  /* .product-subcategory-wrapper .subcategories-content {
        flex-wrap: wrap;
        padding: 0 15px;
        gap: 15px 20px;
    }

    .product-subcategory-wrapper .subcategories-content .btn-load-subcategory {
        width: calc(25% - 15px);
    } */
}
@media (max-width: 575.99px) {
  .product-subcategory-wrapper {
    padding: 0 0 50px 0 !important;
    align-items: center !important;
  }
}
@media screen and (max-width: 768px) {
  .product-category-header {
    height: 45vh;
    padding-top: 100px;
  }

  .product-subcategory-wrapper {
    padding: 0 15px 50px;
    align-items: flex-start;
  }

  .product-subcategory-wrapper .subcategory-content-title {
    font-size: 22px;
    line-height: 110%;
  }

  /* .product-subcategory-wrapper .subcategories-content {
        width: 100%;
        flex-direction: column;
        padding: 0;
    }

    .product-subcategory-wrapper .subcategories-content .btn-load-subcategory {
        text-align: center;
        width:100%;
    } */
}

/* ------------------------------------------------------------ PRODUS ------------------------------------------------------------ */

@media screen and (max-width: 768px) {
  .product-header-wrapper {
    padding: 100px 0 0;
  }

  .product-header-content {
    justify-content: center;
  }

  .product-header-content .product-header-details {
    height: fit-content;
  }

  .product-header-content .product-header-actions {
    flex-direction: column;
    align-items: flex-start;
  }

  .product-header-content .product-share-wrapper {
    flex-direction: column;
    align-items: flex-start;
  }

  .product-nav {
    padding: 50px 0;
    height: auto;
  }

  .product-nav .nav-buttons,
  .product-nav .nav-buttons.nav-scroll {
    position: relative;
    flex-direction: column;
    top: 0;
    height: auto;
    gap: 20px;
  }

  .product-nav a {
    padding: 10px 50px;
    height: auto;
    justify-content: center;
    width: 100%;
  }

  .product-body {
    gap: 50px;
  }

  .product-body .product-body-element {
    gap: 20px;
  }

  .product-body .product-body-element .element-title {
    position: relative;
    top: 0;
  }

  .product-body .product-body-element.culori .element-content {
    gap: 30px 20px;
  }

  .product-body .product-body-element.culori .element-content .img-content {
    max-width: calc((100% / 2) - 10px);
  }

  .product-body .product-body-element.documentatie .element-content .pdf-item {
    flex-direction: column;
    align-items: flex-start;
    padding: 15px 0;
    height: auto;
    gap: 5px;
  }

  .related-products-title h2 {
    font-size: 24px;
  }

  .product-modal .modal-dialog .modal-content {
    margin: auto;
    border: none;
    height: 80vh;
    width: 90%;
  }

  .product-modal .modal-dialog .modal-content .modal-header {
    padding: 0 20px;
  }

  .product-modal .modal-dialog .modal-content .modal-body {
    padding: 0 20px;
    overflow-y: scroll;
    flex: auto;
    height: calc(100% - 70px);
  }

  .product-modal .modal-dialog .modal-content .modal-body .form-groups,
  .product-modal .modal-dialog .modal-content .modal-body .details {
    padding: 20px 0;
  }
}

@media (min-width: 991px) and (max-width: 1200px) {
  .navbar-expand-lg .navbar-nav .nav-link {
    font-size: 12px;
  }
  .navbar-expand-lg .navbar-nav .nav-link {
    height: 40px;
  }
}
